<?php
echo "\n\n";
echo "This code demonstrates the new way to dynamically call static methods PHP 5.4\n";
echo "It was written by Cal Evans <cal@calevans.com> as part of his\n";
echo "presentation at CodeWorks 2011. \n";
echo "\n";
echo "It is so simple and useless that it would be laughable to attempt\n";
echo "to assign it a license. Therefore all code herein is released into the \n";
echo "public domain by the author.\n\n";

if (rand(1,2)==1) {
    $action = 'code';
} else {
    $action = 'eatPizza';
}
echo "The old way:\n";
$programmer = new Developer();
$programmer->$action();
echo "The new way:\n";
$action = 's_'.$action;
Developer::{$action}();
 
echo "\nThere, we are done. \n";
die();

/*
 * Dummy class just to prove the point.
 */
class Developer {
    
    public function code()
    {
        echo "coding\n";
    }
    
    public function eatPizza()
    {
        echo "nom nom nom, pizza.\n";
    }

    static public function s_code()
    {
        echo "coding\n";
    }
    
    static public function s_eatPizza()
    {
        echo "nom nom nom, pizza.\n";
    }

}
