<?php
echo "\n\n";
echo "This code demonstrates the new short array syntax in PHP 5.4\n";
echo "It was written by Cal Evans <cal@calevans.com> as part of his\n";
echo "presentation at CodeWorks 2011. \n";
echo "\n";
echo "It is so simple and useless that it would be laughable to attempt\n";
echo "to assign it a license. Therefore all code herein is released into the \n";
echo "public domain by the author.\n\n";

/*
 * Here is how we used to do it
 */
$oldStype = array('one'   => 'This is one',
                  'two'   => 'This is two',
                  'three' => 'This is three');

/*
 * Here is how we now can to do it
 */
$newStyle = ['one'   => 'This is one',
             'two'   => 'This is two',
             'three' => 'This is three'];

/*
 * Here's proof that it works.
 */
foreach ($newStyle as $key=>$value) {
    echo $key . '=>'.$value."\n";
}